Subject: [secdir] secdir review of draft-ietf-mip4-gre-key-extension-04

From: Radia Perlman <[email-masked]>
Date: Mon, 14 Mar 2011 20:51:42 -0700

Summary: No issues found

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

This document describes a new field, somewhat disturbingly called
"key" (in that it has nothing to do with a cryptography key) which is
an extension to Mobile IP that allows specification of a specific GRE
tunnel, allowing (care of address, home address, and home agent
address) not to need to be unique across VPNs.

As they rightly point out, this does not introduce new security issues.

Radia